@REM Create partial or full backup of Jeti Transmitters or copy logfiles form transmitter Revision 2
@echo off
@echo ================================
@echo connection  transmitter
@echo ================================
@echo connect your transmitter USB and type in the drive letter e.g. E 
@Set /P transmitter=SET transmitter:
@echo ================================
IF not exist %transmitter%:\apps\*.* goto  FAILPATH

@echo ================================
@echo Backup Type full \ partial or copy Logfiles
@echo ================================
@echo for full backup type in  F  for partial  P and for copy Logfiles L
@Set /P backupType=SET backupType:
IF "%backupType%"=="F" goto FULL
IF "%backupType%"=="f" goto FULL
IF "%backupType%"=="L" goto LOGFILES
IF "%backupType%"=="l" goto LOGFILES

:PARTIAL
@echo ================================
@echo generating partial backup of transmitter, pleas wait
@echo ================================
set "backupFolder=%date%_partial"
IF exist %backupFolder% rd %backupFolder% /S /Q
md %backupFolder%
IF not exist %backupFolder% goto FAILPATH_BACK 
cd %backupFolder%
md Apps
cd ..
XCOPY /S %transmitter%:\Apps %backupFolder%\Apps  
cd %backupFolder%
md Audio
cd ..
XCOPY /S %transmitter%:\Audio %backupFolder%\Audio 
cd %backupFolder%
md Model
cd ..
XCOPY /S %transmitter%:\Model %backupFolder%\Model 
@echo ================================
@echo partial transmitter backup successful finished
@echo ================================
goto END


:FULL
@echo ================================
@echo generating full backup of transmitter, pleas wait
@echo ================================
set "backupFolder=%date%_full"
IF exist %backupFolder% rd %backupFolder% /S /Q
md %backupFolder%
IF not exist %backupFolder% goto FAILPATH_BACK
cd %backupFolder%
COPY %transmitter%:\*.*
md Apps
cd ..
XCOPY /S %transmitter%:\Apps %backupFolder%\Apps 
cd %backupFolder%
md Audio
cd ..
XCOPY /S %transmitter%:\Audio %backupFolder%\Audio 
cd %backupFolder%
md Config
cd ..
XCOPY /S %transmitter%:\Config %backupFolder%\Config 
cd %backupFolder%
md Devices
cd ..
XCOPY /S %transmitter%:\Devices %backupFolder%\Devices 
cd %backupFolder%
md Img
cd ..
XCOPY /S %transmitter%:\Img %backupFolder%\Img 
cd %backupFolder%
md Lang
cd ..
XCOPY /S %transmitter%:\Lang %backupFolder%\Lang 
cd %backupFolder%
md Log
cd ..
XCOPY /S %transmitter%:\Log %backupFolder%\Log 
cd %backupFolder%
md Manual
cd ..
XCOPY /S %transmitter%:\Manual %backupFolder%\Manual 
cd %backupFolder%
md Model
cd ..
XCOPY /S %transmitter%:\Model %backupFolder%\Model 
cd %backupFolder%
md Music
cd ..
XCOPY /S %transmitter%:\Music %backupFolder%\Music 
cd %backupFolder%
md Update
cd ..
XCOPY /S %transmitter%:\Update %backupFolder%\Update 
cd %backupFolder%
md Voice
cd ..
XCOPY /S %transmitter%:\Voice %backupFolder%\Voice 

@echo ================================
@echo full transmitter backup successful finished
@echo ================================
goto END


:LOGFILES
@echo ================================
@echo copy all logfiles from transmitter, pleas wait
@echo ================================
set "backupFolder=%date%_Logfiles"
IF exist %backupFolder% rd %backupFolder% /S
md %backupFolder%
IF not exist %backupFolder% goto FAILPATH_BACK 
IF not exist %transmitter%:\Log goto FAILPATH_LOG
XCOPY /S %transmitter%:\Log %backupFolder%  
@echo ================================
@echo delete logfiles on transmitter
@echo ================================
@echo all logfiles copied, for deleting logfiles on transmitter type in Y otherwise N
@Set  /P deleteLogs=SET deleteLogs:
IF "%deleteLogs%"=="Y" goto LOGDELETE
IF "%deleteLogs%"=="y" goto LOGDELETE
IF "%deleteLogs%"=="J" goto LOGDELETE
IF "%deleteLogs%"=="j" goto LOGDELETE
goto LOGFINISH

:LOGDELETE
setlocal
%transmitter%:
cd Log
for /D %%d in (*) do rd %%d /s
endlocal

:LOGFINISH
@echo ================================
@echo copy logfiles from transmitter successful finished
@echo ================================
goto END


:FAILPATH
@echo Installation failed transmitter is not connected or drive letter for transmitter is not correct
goto END
:FAILPATH_BACK
@echo transmitter backup failed the %backupFolder% does not exist.
goto END
:FAILPATH_LOG
@echo copy logfiles from transmitter failed the %backupFolder%\Log does not exist.
goto END

:END
@PAUSE
exit








